Subject: RE: Compiling perl scripts
From: Heribert Dahms <[email-masked]>
To: "'Earnie Boyd'" <[email-masked]>, [email-masked]
Cc: Stephen Patterson <[email-masked]>, perl win32 list <[email-masked]>
Date: Mon, 15 Jan 2001 23:05:11 +0100

Hi Earnie,

I would be careful, this could confuse ./configure
for a lot of applications other than perl!

Bye, Heribert ([email-masked])

> -----Original Message-----
> From:	Earnie Boyd [SMTP:[email-masked]]
> Sent:	Monday, January 15, 2001 22:51
> To:	[email-masked]
> Cc:	Stephen Patterson; perl win32 list; [email-masked]
> Subject:	Re: Compiling perl scripts
> 
> Gerrit Peter Haase wrote:
> > 
> > Stephen Patterson schrieb:
> > >
> > > How can I specify a compiler for perlcc to use?
> > >
> > > I have the cygnus linux(ish) toolkit, with gcc, g++ cc1 and make, does
> > > anyone know how to tell perlcc to use any of these?
> > >
> > 
> > >From perlcc, line 272-282 (for my perl):
> > 
> > sub cc_harness {
> >         my ($cfile,$stash)=@_;
> >         use ExtUtils::Embed ();
> >         my $command = ExtUtils::Embed::ccopts." -o $Output $cfile ";
> >         $command .= " -I".$_ for split /\s+/, opt(I);
> >         $command .= " -L".$_ for split /\s+/, opt(L);
> >         my @mods = split /-?u /, $stash;
> >         $command .= " ".ExtUtils::Embed::ldopts("-std", \@mods);
> >         vprint 3, "running cc $command";
> >         system("cc $command");
> > }
> >               ^^^^^^^^
> > 
> > here is hardcoded 'cc' were your compiler needs to be called (gcc).
> > 
> > In Erics perl5.6.1-1 for cygwin, there is a patch aplied that fixes
> this.
> > 
> 
> A simple `ln -s /bin/gcc /bin/cc' would work.
> 
> Chris, should setup or gcc-2.95.2-7 do this?
> 
> Cheers,
> Earnie.
> 
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple